declare class ServiceLogger {
    private serviceName;
    private instanceName;
    private path;
    private face;
    private logger;
    private config;
    constructor(serviceName: string, instanceName: string, path?: string, face?: string, config?: LoggerConfig);
    info: (message: any) => void;
    warn: (message: any) => void;
    err: (message: any) => void;
    debug: (message: any) => void;
    silent: (mod: boolean) => void;
}
export default class LogManager {
    private serviceName;
    private path;
    private config;
    private instances;
    constructor(serviceName: string, path?: string, config?: LMConfig);
    getLogger: (instanceName?: string | undefined, config?: LoggerConfig | undefined) => ServiceLogger;
    mute: () => void;
    unmute: () => void;
}
export interface LMConfig {
    showService?: boolean;
}
export interface LoggerConfig {
    silent?: boolean;
    showService?: boolean;
}
export {};
